Utopia PaymentsDocs
Customers

List customers

GET
/customers

Authorization

secretKey
AuthorizationBearer <token>

Your secret key: sk_live_… or sk_test_….

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string

The next_cursor of the previous page.

email?string
Formatemail

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/customers"
{  "items": [    {      "object": "customer",      "customer_id": "cus_3f2b8c1e9a4d4e7b8c2a1d5e6f7a8b9c",      "name": "string",      "email": "user@example.com",      "phone_number": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}